/* s2win.h: windowing operations for S2PLOT
 *
 * ==================================================================
 * S2PLOT is freely available for non-commercial and educational use,
 * however, it is not public-domain software. The programming library
 * and documentation may not be redistributed or sub-licensed in any
 * form without permission from Swinburne University of
 * Technology. The programming library and sample codes are provided
 * without warranty.
 *
 * We would appreciate it if research outcomes using S2PLOT would
 * provide the following acknowledgement:
 *
 * "Three-dimensional visualisation was conducted with the S2PLOT
 * progamming library"
 *
 * and a reference to
 *
 * D.G.Barnes, C.J.Fluke, P.D.Bourke & O.T.Parry, 2006, Publications
 * of the Astronomical Society of Australia, 23(2), 82-93.
 *
 * S2PLOT development was funded through the Researcher Developer
 * Grant Scheme at Swinburne University of Technology.
 * ==================================================================
 *
 * original version: David Barnes, June 2008
 *
 * $Id: s2win.h 5275 2008-09-04 01:53:23Z dbarnes $
 *
 */

#ifndef S2WIN_H
#define S2WIN_H

/* direct mappings with glut */
void s2winInit(int *argc, char **argv);
void s2winMainLoop(void);
void s2winInitWindowSize(int w, int h);
void s2winCreateWindow(char *title);
void s2winFullScreen(void);
void s2winReshapeFunc(void (*func)(int width, int height));
void s2winDisplayFunc(void (*func)(void));
void s2winVisibilityFunc(void (*func)(int state));
void s2winKeyboardFunc(void (*func)(unsigned char key, int x, int y));
void s2winIdleFunc(void (*func)(void));
void s2winSpecialFunc(void (*func)(int key, int x, int y));
void s2winMouseFunc(void (*func)(int button, int state, int x, int y));
void s2winMotionFunc(void (*func)(int x, int y));
void s2winPassiveMotionFunc(void (*func)(int x, int y));
void s2winSpaceballButtonFunc(void (*func)(int button, int state));
void s2winSpaceballMotionFunc(void (*func)(int x, int y, int z));
void s2winSpaceballRotateFunc(void (*func)(int x, int y, int z));
void s2winSetCursor(int cursor);
int s2winGet(int which);
void s2winSwapBuffers(void);
void s2winPostRedisplay(void);
int s2winGetModifiers(void);

/* non-direct mappings with glut */
void s2winInitDisplayMode(int stereotype, int aticard);
void s2winDestroyWindow(void);
void s2winBitmapCharacter(char *);


#endif
